package de.kybeidos.switchyard.tools;

import com.jcraft.jsch.*;

 
public class SCPFrom{
  public static boolean transfer(String remoteHost, String remotePort, String remoteUser, String remotePwd, String remoteFilePath, String localFilePath){
	  
	    JSch jsch = new JSch();
	    Session session = null;
	    try {
	        session = jsch.getSession(remoteUser, remoteHost, Integer.parseInt(remotePort));
	        session.setConfig("StrictHostKeyChecking", "no");
	        session.setPassword(remotePwd);
	        session.connect();

	        Channel channel = session.openChannel("sftp");
	        channel.connect();
	        ChannelSftp sftpChannel = (ChannelSftp) channel;

	        sftpChannel.get(remoteFilePath, localFilePath);
	        sftpChannel.exit();
	        session.disconnect();
	    } catch (JSchException e) {
	        e.printStackTrace(); 
	        return false;
	    } catch (SftpException e) {
	        e.printStackTrace();
	        return false;
	    } catch (NumberFormatException nfe){
	    	System.out.println("port number is not a number");
	    	return false;
	    }
	    return true;
	  
  }
}